/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：数据集树目录表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集树目录表")
public class DataSetTreeQueryDto implements Serializable
{
    /**
     * 节点名称<br>
     */
    @ApiModelProperty("节点名称")
    @Size(max = 32, message="节点名称-name: 数据长度不能 > 32" )
    private String name;
    /**
     * 父节点id<br>
     */
    @ApiModelProperty("父节点id")
    @Size(max = 32, message="父节点id-parentId: 数据长度不能 > 32" )
    private String parentId;

    @ApiModelProperty("系统id列表")
    private List<String> proIds;

    @ApiModelProperty("是否为多系统 false-单系统 true-多系统")
    private boolean moreProject;

    /**
     * 路径<br>
     */
    @ApiModelProperty("路径")
    @Size(max = 1024, message="路径-path: 数据长度不能 > 1024" )
    private String path;

    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public boolean isMoreProject() {
        return moreProject;
    }

    public void setMoreProject(boolean moreProject) {
        this.moreProject = moreProject;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }
}